создать платежный токен (оплата картой)
POST/invoices/:invoice_id/payment_tokens
создать платежный токен
Request
Path Parameters
внутренний номер инвойса
- application/json
Body
Possible values: [googlepay, applepay, yandexpay, yandexsplit, card, sbp, mirpay]
mnemonic из ответа services/{service_id}.payment_types
криптограмма
Responses
- 201
- 400
- 401
- 404
- 429
- 498
Example response
- application/json
- Schema
- Example (from schema)
- success
Schema
uuid сущности
время создания
Possible values: [progress]
статус сущности
текст ошибки (опционально)
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-10-08T12:37:29.567Z",
"status": "progress",
"message": "string"
}
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_at": "2019-08-24T14:15:22Z",
"status": "progress",
"message": ""
}
Bad Request
- application/json
- Schema
- Example (from schema)
- BadRequest
- InvalidParameterValue
- ExpireInvoice
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "missing_required_request_parameter",
"message": "Отсутствует обязательный параметр запроса"
}
{
"code": "invalid_parameter_value",
"message": "Некорректный параметр запроса"
}
{
"code": "operation_cannot_be_performed",
"message": "Недопустимый статус инвойса: error"
}
Unauthorized
- application/json
- Schema
- Example (from schema)
- Unauthorized
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}